package com.qy.worksheetsystem.vo;

import lombok.Data;

/**
 * @BelongsProject: workSheetSystem
 * @BelongsPackage: com.qy.worksheetsystem.vo
 * @Author: lhbj
 * @CreateTime: 2024-12-03  11:27
 * @Description: TODO
 * @Version: 1.0
 */
@Data
public class UserInfoVo {
    public String username;
    public String jobNo;
    public String userid;
    public String personid;
    public String openid;
    public String deviceId;
    public String ticket;
    public String personType;
    public String token;
    public Long expire;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getJobNo() {
        return jobNo;
    }

    public void setJobNo(String jobNo) {
        this.jobNo = jobNo;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getPersonid() {
        return personid;
    }

    public void setPersonid(String personid) {
        this.personid = personid;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getTicket() {
        return ticket;
    }

    public void setTicket(String ticket) {
        this.ticket = ticket;
    }

    public String getPersonType() {
        return personType;
    }

    public void setPersonType(String personType) {
        this.personType = personType;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Long getExpire() {
        return expire;
    }

    public void setExpire(Long expire) {
        this.expire = expire;
    }

    @Override
    public String toString() {
        return "UserInfoVo{" +
                "username='" + username + '\'' +
                ", jobNo='" + jobNo + '\'' +
                ", userid='" + userid + '\'' +
                ", personid='" + personid + '\'' +
                ", openid='" + openid + '\'' +
                ", deviceId='" + deviceId + '\'' +
                ", ticket='" + ticket + '\'' +
                ", personType='" + personType + '\'' +
                ", token='" + token + '\'' +
                ", expire=" + expire +
                '}';
    }
}
